Skip to main content

Prerequisites

In order to use templates generated by Boiler Room, you must have a few things installed.

Node.js#

You will need to have Node.js installed on your local machine. The minimum version recommended for use with Boiler Room templates is v14.15.0

If you would like to check if Node.js is installed and what version you are running, you can run the following shell command:

node -v

NPM#

The minimum version of npm recommended for use with Boiler Room templates is v7.0.0

If you would like to check if NPM is installed and what version you are running, you can run the following shell command:

npm -v

A Boiler Room Template#

Yes, believe it or not you will need to have a Boiler Room template (or zip file) downloaded to your local machine.

If you do not already have one (you're missing out), head over to boilerroom.dev to get one.

MongoDB#

If you choose to include MongoDB in your Boiler Room boilerplate you will be required to have access to a MongoDB instance.

You have two options for running and connecting to a MongoDB instance:

  • You can run and connect to a local MongoDB instance running on your machine.
  • You can create and connect to a (free) Mongo Atlas cluster running in the cloud. (Recommended)

That wasn't so bad ๐Ÿค™#

That's all you need to get going! Check out our installation guide for next steps.#